-- name: [CS] Baby Mario
-- description: Baby Mario for Character select!\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!


local E_MODEL_BBMARIO = smlua_model_util_get_id("babymario_geo")

local TEX_BBMARIO = get_texture_info("babymarioicontiny")

local TEXT_MOD_NAME = "Baby Mario"

local VOICETABLE_BBMARIO = {
    [CHAR_SOUND_YAH_WAH_HOO] = 'mario_jump_yah.ogg',
    [CHAR_SOUND_HOOHOO] = 'mario_jump_hoohoo.ogg',
    [CHAR_SOUND_YAHOO] = 'mario_jump_yahoo.ogg',
    [CHAR_SOUND_UH] = 'mario_ugh.ogg',
    [CHAR_SOUND_HRMM] = 'mario_hrmm.ogg',
    [CHAR_SOUND_WAH2] = 'mario_wah.ogg',
    [CHAR_SOUND_WHOA] = 'mario_woah.ogg',
    [CHAR_SOUND_EEUH] = 'mario_slow_climb.ogg',
    [CHAR_SOUND_ATTACKED] = 'mario_pain_ouch.ogg',
    [CHAR_SOUND_OOOF] = 'mario_oof.ogg',
    [CHAR_SOUND_OOOF2] = 'mario_oof.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'mario_victory.ogg',
    [CHAR_SOUND_YAWNING] = 'mario_yawn.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'mario_fall_alot.ogg',
    [CHAR_SOUND_HAHA] = 'mario_land_happy.ogg',
    [CHAR_SOUND_HAHA_2] = 'mario_land_happy.ogg',
    [CHAR_SOUND_UH2] = 'mario_fast_climb.ogg',
    [CHAR_SOUND_UH2_2] = 'mario_ugh_1.ogg',
    [CHAR_SOUND_ON_FIRE] = 'mario_burn_alive_lol.ogg',
    [CHAR_SOUND_DYING] = 'mario_die_cry.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'mario_panting.ogg',
    [CHAR_SOUND_PANTING] = 'mario_panting.ogg',
    [CHAR_SOUND_COUGHING1] = 'mario_cough.ogg',
    [CHAR_SOUND_COUGHING2] = 'mario_cough_1.ogg',
    [CHAR_SOUND_COUGHING3] = 'mario_cough_2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'mario_jump_yah.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'mario_jump_hoo.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'mario_mamamia.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'mario_wah_1.ogg',
    [CHAR_SOUND_DROWNING] = 'mario_drown.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'mario_punch_wah.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'mario_jump_whoopie.ogg',
    [CHAR_SOUND_DOH] = 'mario_doh.ogg',
    [CHAR_SOUND_GAME_OVER] = 'mario_lose.ogg',
    [CHAR_SOUND_HELLO] = 'mario_hello.ogg',
    [CHAR_SOUND_PRESS_START_TO_PLAY] = 'mario_push_start.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'mario_boing.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'mario_bye_bowser.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'mario_eepy.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'mario_letsgo.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'mario_namedrop.ogg',
	[CHAR_SOUND_SNORING1] = 'mario_snore.ogg',
	[CHAR_SOUND_SNORING2] = 'mario_snore_1.ogg',
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Baby Mario", {"*Multiple pixelated sobbing sounds*", "Baby Mario for Character Select!"}, "ThaGurlTilly & FluffaMario", {r = 255, g = 8, b = 0}, E_MODEL_BBMARIO, CT_MARIO, TEX_BBMARIO)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_BBMARIO, VOICETABLE_BBMARIO)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BBMARIO then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BBMARIO then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end